Bezpečnostní aktualizace 2010-001

Bezpečnostní aktualizace 2010-001

Apple včera vydal první bezpečnostní aktualizaci pro Leoparda a Snow Leoparda v tomto roce. Podívejme se tedy, co vše bylo vyřešeno.

CoreAudio

  • CVE-ID: CVE-2010-0036
  • Pro: Mac OS X 10.5.8,10.6.2 Server i klienta
  • Dopad: Přehrání upraveného mp4 souboru může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci s mp4 soubory může dojít k přetečení bufferu. Přehrání upraveného mp4 souboru, který tuto chybu využívá pak může vést k pádu aplikace nebo ke spuštění nežádoucího kódu. Problém je vyřešen lepší kontrolou hranic. Poděkování za nahlášení patří Tobiasovi Kleinovi z trapkit.de.

CUPS

  • CVE-ID: CVE-2009-3553
  • Pro: Mac OS X 10.5.8,10.6.2 Server i klienta
  • Dopad: Vzdálený útoční může způsobit pád aplikace cupsd
  • Popis: V cupsd se používá připojení i po jeho uvolnění. Odesláním upraveného get-printer-jobs požadovku tak může útočník způsobit odmítnutí služby. Tento problém byl omezen díky automatickému restartu cupsd po jeho ukončení. Konkrétně však tento problém byl opraven lepší kontrolou používaných spojení.

Flash Player Plug-in

  • CVE-ID: CVE-2009-3794, CVE-2009-3796, CVE-2009-3797, CVE-2009-3798, CVE-2009-3799, CVE-2009-3800, CVE-2009-3951
  • Pro: Mac OS X 10.5.8,10.6.2 Server i klienta
  • Dopad: Více chyb v Adobe Flash plug-inu
  • Popis: Flash Player plug-in má několik chyb z nichž nejvážnější umožňuje spustit nežádoucí kód při prohlížení upravené www stránky. Problém je řešek aktualizací Flash Playeru na verzi 10.0.42. Další podrobnosti jsou k dispozici na stránkách adobe.com. Poděkování za nahlášení chyb patří následujícím lidem: Damian Put z TippingPoints Zero Day Initiative, Bing Liu z Fortinet's FortiGuard Global Security Research Team, Will Dormann z CERT, Manuel Caballero a Microsoft Vulnerability Research (MSVR).

ImageIO

  • CVE-ID: CVE-2009-2285
  • Pro: Mac OS X 10.5.8 server i klient
  • Dopad: Zobrazení upraveného TIFF obrázku může vést k ukočení aplikace nebo spuštění nežádoucího kódu
  • Popis: Přetečení bufferu v ImageIO při práci s TIFF obrázky může způsobit ukočení aplikace nebo spuštění nežádoucího kódu. Problém je vyřešen lepší kontrolou hranic. Pro systémy Mac OS X 10.6.2 byl problém vyřešen v Mac OS X 10.6.2.

Image RAW

  • CVE-ID: CVE-2010-0037
  • Pro: Mac OS X 10.5.8,10.6.2 Server i klienta
  • Dopad: Zobrazení upraveného DNG obrázku může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: V kódu Image Raw existuje chyba přetečení bufferu u práce s DNG soubory. Zobrazení upraveného DNG souboru tak může způsobit pád aplikace nebo spuštění nežádoucího kódu. Problém je řešen pomocí lepší kontroly hranic. Poděkování patří Jasonu Carrovi z Carnegie Mellon Univerzity.

OpenSSL

  • CVE-ID: CVE-2009-3555
  • Pro: Mac OS X 10.5.8,10.6.2 Server i klienta
  • Dopad: Utočník v privilegované síťové pozici může získávat data nebo měnit operace uvnitř relace chráněné SSL
  • Popis: V SSL a TLS protokolech existuje chyba umožňující útok man-in-the-middle. Další podrobnosti jsou k dispozici na stránkách www.phonefactor.com. Změna vyjednávacího protokolu je na cestě uvnitř IETF. Aktualizace ruší vyjednávání OpenSSL jako preventivní opatření. Problém nezasahuje služby, které používají Secure Transport pokud nepodporují vyjednávání. Poděkování patří Stevovi Dispensovi a Marsh Ray z PhoneFactor, Inc. Je trochu smutné, že Apple přišel s řešením této chyby až 2 měsíce po jejím oznámení. Viz informace v tomto článku.
Poslat Bezpečnostní aktualizace 2010-001 na facebook
Publikováno 20.1.2010
 

Změna barev | Autorská práva | Kontakt | Podpora | RSS kanály
© 2006 Gandalf, Design by Mirek
Creative Commons License